| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
IIncidentSvc::IncidentPack Class Reference

`#include <GaudiKernel/IIncidentSvc.h>`

Collaboration diagram for IIncidentSvc::IncidentPack:
[legend]

## Public Member Functions
| IncidentPack (IncidentPack &&o)
IncidentPack & | operator= (IncidentPack &&o)
| IncidentPack ()

## Public Attributes
std::vector< std::unique_ptr< Incident > > | incidents
std::vector< std::vector< IIncidentListener * > > | listeners

## Detailed Description

Definition at line 50 of file IIncidentSvc.h.

## Constructor & Destructor Documentation

IIncidentSvc::IncidentPack::IncidentPack | ( | IncidentPack && | o | ) |
| inline

Definition at line 55 of file IIncidentSvc.h.

55 : incidents( std::move( o.incidents ) ), listeners( std::move( o.listeners ) ){};
IIncidentSvc::IncidentPack::incidents
std::vector< std::unique_ptr< Incident > > incidents
Definition: IIncidentSvc.h:53
IIncidentSvc::IncidentPack::listeners
std::vector< std::vector< IIncidentListener * > > listeners
Definition: IIncidentSvc.h:54
std::move
T move(T...args)

IIncidentSvc::IncidentPack::IncidentPack | ( |  | ) |
| inline

Definition at line 62 of file IIncidentSvc.h.

62 {};

## Member Function Documentation

IncidentPack& IIncidentSvc::IncidentPack::operator= | ( | IncidentPack && | o | ) |
| inline

Definition at line 56 of file IIncidentSvc.h.

57 {
58 incidents = std::move( o.incidents );
59 listeners = std::move( o.listeners );
60 return *this;
61 };
IIncidentSvc::IncidentPack::incidents
std::vector< std::unique_ptr< Incident > > incidents
Definition: IIncidentSvc.h:53
IIncidentSvc::IncidentPack::listeners
std::vector< std::vector< IIncidentListener * > > listeners
Definition: IIncidentSvc.h:54
std::move
T move(T...args)

## Member Data Documentation

std::vector<std::unique_ptr<Incident> > IIncidentSvc::IncidentPack::incidents

Definition at line 53 of file IIncidentSvc.h.

std::vector<std::vector<IIncidentListener*> > IIncidentSvc::IncidentPack::listeners

Definition at line 54 of file IIncidentSvc.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IIncidentSvc.h